Page 1 of 1

[News] New build scripts for 2.1 and 2.2

Posted: Sun Aug 04, 2019 10:46 pm
by dark_sylinc

Re: [News] New build scripts for 2.1 and 2.2

Posted: Sat Sep 07, 2019 1:27 pm
by screwt
The SDL2 part fails in the script (2.1 linux), i had to manualy build it.
That appart it goes well, good job.
A check for all the needed tools at the beginning could be good also (i was missing mercurial and ninja)


Just a tip for linux user, you may miss some libs for libSDL2:

Code: Select all

sudo apt-get install build-essential mercurial make autoconf automake libtool libasound2-dev  libpulse-dev libaudio-dev libx11-dev libxext-dev libxrandr-dev libxcursor-dev libxi-dev libxinerama-dev libxxf86vm-dev libxss-dev libgl1-mesa-dev libesd0-dev 
Source:

http://forums.libsdl.org/viewtopic.php?p=30799

Error:

Code: Select all

union SDL_SysWMinfo::<anonymous>’ has no member named ‘x11’